<?php
namespace Concrete\Package\ScriptButtonsPlugin;

use Concrete\Core\Editor\Plugin;
use \Core;
use \AssetList;

class Controller extends \Concrete\Core\Package\Package
{

    protected $pkgHandle = 'script_buttons_plugin';
    protected $appVersionRequired = '5.7.4';
    protected $pkgVersion = '0.9';

    public function getPackageDescription()
    {
        return t("Adds subscript and superscript buttons to the rich text editor.");
    }

    public function getPackageName()
    {
        return t("Script Buttons");
    }

    public function on_start()
    {
        $al = AssetList::getInstance();
        $al->register(
            'javascript', 'editor/plugin/scriptbuttons', 'js/redactor/scriptbuttons.js',
                            array(), 'script_buttons_plugin'
        );
        $al->registerGroup('editor/plugin/scriptbuttons', array(
            array('javascript', 'editor/plugin/scriptbuttons'),
        ));
        $plugin = new Plugin();
        $plugin->setKey('scriptbuttons');
        $plugin->setName('Script Buttons');
        $plugin->requireAsset('editor/plugin/scriptbuttons');

        Core::make('editor')->getPluginManager()->register($plugin);
    }

}